ClassEditor (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.support
[Java] Class ClassEditor

    java.lang.Object
      java.beans.PropertyEditorSupport
          org.codehaus.groovy.grails.support.ClassEditor

    public class ClassEditor
    extends java.beans.PropertyEditorSupport

Converts Strings to Class references for Spring.

Authors:
  Steven Devijver
  Graeme Rocher

Since:
  Aug 8, 2005

Constructor Summary
`ClassEditor()`
`ClassEditor(java.lang.Object source)`

Method Summary
`java.lang.String` | `getAsText()`
`void` | `setAsText(java.lang.String className)`
`void` | `setClassLoader(java.lang.ClassLoader classLoader)`

Methods inherited from class java.beans.PropertyEditorSupport
java.beans.PropertyEditorSupport#setValue(java.lang.Object), java.beans.PropertyEditorSupport#getSource(), java.beans.PropertyEditorSupport#getValue(), java.beans.PropertyEditorSupport#addPropertyChangeListener(java.beans.PropertyChangeListener), java.beans.PropertyEditorSupport#removePropertyChangeListener(java.beans.PropertyChangeListener), java.beans.PropertyEditorSupport#firePropertyChange(), java.beans.PropertyEditorSupport#setSource(java.lang.Object), java.beans.PropertyEditorSupport#getTags(), java.beans.PropertyEditorSupport#getAsText(), java.beans.PropertyEditorSupport#isPaintable(), java.beans.PropertyEditorSupport#paintValue(java.awt.Graphics, java.awt.Rectangle), java.beans.PropertyEditorSupport#getJavaInitializationString(), java.beans.PropertyEditorSupport#setAsText(java.lang.String), java.beans.PropertyEditorSupport#getCustomEditor(), java.beans.PropertyEditorSupport#supportsCustomEditor(), java.beans.PropertyEditorSupport#wait(long, int), java.beans.PropertyEditorSupport#wait(long), java.beans.PropertyEditorSupport#wait(), java.beans.PropertyEditorSupport#equals(java.lang.Object), java.beans.PropertyEditorSupport#toString(), java.beans.PropertyEditorSupport#hashCode(), java.beans.PropertyEditorSupport#getClass(), java.beans.PropertyEditorSupport#notify(), java.beans.PropertyEditorSupport#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### ClassEditor

    public ClassEditor()

### ClassEditor

    public ClassEditor(java.lang.Object source)

Method Detail

### getAsText

    @java.lang.Override
    public java.lang.String getAsText()

### setAsText

    @java.lang.Override
    public void setAsText(java.lang.String className)

### setClassLoader

    public void setClassLoader(java.lang.ClassLoader classLoader)

Groovy Documentation